Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1115341

Description of problem:

Displaying info about perl-Archive-Tar-1.92-2.el7.noarch.rpm fails: Missing template layouts/katello

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140626.1

How reproducible:

always

Steps to Reproduce:

1. Create product -> repo with perl-Archive-Tar-1.92-2.el7.noarch.rpm in it

2. Display list of packages of <your_product> -> <your_repo>:

Content -> Products -> <your_product> -> Repositories

Now open link "1 Packages" in new tab so you get listing of packages

in your repo (also see bug 1115307)

3. Attempt to display info about that package:

Hoover your cursor over package name and wait until package info

popup appears

Actual results:

Popup do not appear. ISE in logs.

Expected results:

Info should be shown.

Associated revisions

Revision d2a283a3 - 07/14/2014 11:41 AM - Brad Buckingham

fixes #6603 / BZ 1115341 - content search - fix for missing package metadata

This commit is to address errors that could occur if the package

metadata was missing information for fields such as, provides,

requires, files or changelog.

Revision 7b8e0926 - 07/23/2014 07:35 AM - Brad Buckingham

Merge pull request #4423 from bbuckingham/issue-6603

fixes #6603 / BZ 1115341 - content search - fix for missing package metadata

History

#1 - 07/14/2014 11:25 AM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 49

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1115341


- Triaged changed from No to Yes

#2 - 07/14/2014 12:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4423 added

- Pull request deleted ()

#3 - 07/23/2014 08:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|d2a283a3465d193a6d05f95ce026c739261e01fc.

#4 - 08/22/2014 09:02 AM - Eric Helms

- translation missing: en.field_release set to 13
